summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristophe Lyon <christophe.lyon@linaro.org>2017-05-16 18:58:32 +0000
committerChristophe Lyon <christophe.lyon@linaro.org>2017-05-16 18:58:32 +0000
commit489e061211e8576ef28980176231afc37bfcee15 (patch)
tree4dc19939fa1dc0c5f3cdf7337bb0a06439941459
parent4a9cbbc7e80ebee403020f7ba49120efec4dfcab (diff)
build-linux.sh: Handle build error more nicely.
Change-Id: I21fd2b559e8a11dd78e45bd55dc3e1b5116b9669
-rwxr-xr-xbuild-linux.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/build-linux.sh b/build-linux.sh
index 0bfc680..01293f1 100755
--- a/build-linux.sh
+++ b/build-linux.sh
@@ -193,7 +193,7 @@ do
make ARCH=${arch} CROSS_COMPILE=${toolchain_dir}/bin/${target}- all -j16 || this_status=$?
if [ ${this_status} -ne 0 ]; then
# Rebuild without parallelism to make errors easier to read
- make ARCH=${arch} CROSS_COMPILE=${toolchain_dir}/bin/${target}- all -j1
+ make ARCH=${arch} CROSS_COMPILE=${toolchain_dir}/bin/${target}- all -j1 || true
echo "CONFIG=$config FAILED to build."
status=1
break